#
# spec file for package python-yubico
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Name:           python-yubico
Version:        1.3.2
Release:        7.1
Summary:        Python code for talking to Yubico's YubiKeys
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://developers.yubico.com/python-yubico/Releases/
Source:         https://developers.yubico.com/python-yubico/Releases/python-yubico-%{version}.tar.gz
Source1:        https://developers.yubico.com/python-yubico/Releases/python-yubico-%{version}.tar.gz.sig
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-usb
Requires:       python-usb
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The YubiKey is a hardware token for authentication. The main mode of the YubiKey
is entering a one time password (or a strong static password) by acting as a USB HID device,
but there are things one can do with bi-directional communication:

 1. Configuration. The yubikey_config class should be a feature-wise complete implementation
    of everything that can be configured on YubiKeys version 1.3 to 3.x (besides deprecated
    functions in YubiKey 1.x). See examples/configure_nist_test_key for an example.
 2. Challenge-response. YubiKey 2.2 and later supports HMAC-SHA1 or Yubico challenge-response
    operations. See examples/nist_challenge_response for an example.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING NEWS
%{python_sitelib}/*

%changelog
* Tue Feb 23 2016 michael@stroeder.com
- update to 1.3.2
  * yubico/yubikey_usb_hid.py: change logic for pgm seq if no
    config is valid, seq 0 is ok
  * yubico/yubikey_usb_hid.py: that the new sequence is 0 is also ok
  * yubico/yubikey_frame.py: Added comments explaining debug data.
  * Solved: Unlock code couldn't be set
* Tue Nov  3 2015 t.gruner@katodev.de
- Replaced this source code with Yubico's source code (version 1.3.1)
  The developer of the old package has changed the name to python-yubico-client
* Mon Jun  1 2015 hguo@suse.com
- New package.
